"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Main = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _configUi = require("@pie-lib/pie-toolbox/config-ui");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Typography = _interopRequireDefault(require("@material-ui/core/Typography"));

var _styles = require("@material-ui/core/styles");

var _editableHtml = require("@pie-lib/pie-toolbox/editable-html");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2["default"])(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = (0, _getPrototypeOf2["default"])(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = (0, _getPrototypeOf2["default"])(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return (0, _possibleConstructorReturn2["default"])(this, result); }; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

var Panel = _configUi.settings.Panel,
    toggle = _configUi.settings.toggle,
    numberFields = _configUi.settings.numberFields,
    dropdown = _configUi.settings.dropdown;
var defaultFeedback = {
  type: 'default',
  "default": 'Your answer has been submitted'
};

var Main = /*#__PURE__*/function (_React$Component) {
  (0, _inherits2["default"])(Main, _React$Component);

  var _super = _createSuper(Main);

  function Main(props) {
    var _this;

    (0, _classCallCheck2["default"])(this, Main);
    _this = _super.call(this, props);
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "onPromptChange", function (markup) {
      var _this$props = _this.props,
          onModelChanged = _this$props.onModelChanged,
          model = _this$props.model;
      onModelChanged(_objectSpread(_objectSpread({}, model), {}, {
        prompt: markup
      }));
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "changeFeedback", function (feedback) {
      var _this$props2 = _this.props,
          model = _this$props2.model,
          onModelChanged = _this$props2.onModelChanged;

      var update = _objectSpread(_objectSpread({}, model), {}, {
        feedback: feedback
      });

      onModelChanged(update);
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "changeTeacherInstructions", function (teacherInstructions) {
      var _this$props3 = _this.props,
          model = _this$props3.model,
          onModelChanged = _this$props3.onModelChanged;

      var update = _objectSpread(_objectSpread({}, model), {}, {
        teacherInstructions: teacherInstructions
      });

      onModelChanged(update);
    });
    _this.state = {
      setDimensions: true
    };
    return _this;
  }

  (0, _createClass2["default"])(Main, [{
    key: "render",
    value: function render() {
      var _this$props4 = this.props,
          model = _this$props4.model,
          classes = _this$props4.classes,
          configuration = _this$props4.configuration,
          imageSupport = _this$props4.imageSupport,
          onConfigurationChanged = _this$props4.onConfigurationChanged,
          onModelChanged = _this$props4.onModelChanged,
          uploadSoundSupport = _this$props4.uploadSoundSupport;

      var _ref = configuration || {},
          _ref$annotations = _ref.annotations,
          annotations = _ref$annotations === void 0 ? {} : _ref$annotations,
          _ref$contentDimension = _ref.contentDimensions,
          contentDimensions = _ref$contentDimension === void 0 ? {} : _ref$contentDimension,
          _ref$dimensions = _ref.dimensions,
          dimensions = _ref$dimensions === void 0 ? {} : _ref$dimensions,
          _ref$equationEditor = _ref.equationEditor,
          equationEditor = _ref$equationEditor === void 0 ? {} : _ref$equationEditor,
          _ref$feedback = _ref.feedback,
          feedback = _ref$feedback === void 0 ? {} : _ref$feedback,
          _ref$playerSpellCheck = _ref.playerSpellCheck,
          playerSpellCheck = _ref$playerSpellCheck === void 0 ? {} : _ref$playerSpellCheck,
          _ref$prompt = _ref.prompt,
          prompt = _ref$prompt === void 0 ? {} : _ref$prompt,
          settingsPanelDisabled = _ref.settingsPanelDisabled,
          _ref$spanishInput = _ref.spanishInput,
          spanishInput = _ref$spanishInput === void 0 ? {} : _ref$spanishInput,
          _ref$specialInput = _ref.specialInput,
          specialInput = _ref$specialInput === void 0 ? {} : _ref$specialInput,
          _ref$spellCheck = _ref.spellCheck,
          spellCheck = _ref$spellCheck === void 0 ? {} : _ref$spellCheck,
          _ref$studentInstructi = _ref.studentInstructions,
          studentInstructions = _ref$studentInstructi === void 0 ? {} : _ref$studentInstructi,
          _ref$teacherInstructi = _ref.teacherInstructions,
          teacherInstructions = _ref$teacherInstructi === void 0 ? {} : _ref$teacherInstructi,
          _ref$mathInput = _ref.mathInput,
          mathInput = _ref$mathInput === void 0 ? {} : _ref$mathInput,
          _ref$maxImageWidth = _ref.maxImageWidth,
          maxImageWidth = _ref$maxImageWidth === void 0 ? {} : _ref$maxImageWidth,
          _ref$maxImageHeight = _ref.maxImageHeight,
          maxImageHeight = _ref$maxImageHeight === void 0 ? {} : _ref$maxImageHeight,
          _ref$multiple = _ref.multiple,
          multiple = _ref$multiple === void 0 ? {} : _ref$multiple,
          _ref$withRubric = _ref.withRubric,
          withRubric = _ref$withRubric === void 0 ? {} : _ref$withRubric,
          _ref$mathMlOptions = _ref.mathMlOptions,
          mathMlOptions = _ref$mathMlOptions === void 0 ? {} : _ref$mathMlOptions,
          _ref$baseInputConfigu = _ref.baseInputConfiguration,
          baseInputConfiguration = _ref$baseInputConfigu === void 0 ? {} : _ref$baseInputConfigu;

      var _ref2 = model || {},
          _ref2$errors = _ref2.errors,
          errors = _ref2$errors === void 0 ? {} : _ref2$errors,
          extraCSSRules = _ref2.extraCSSRules,
          feedbackEnabled = _ref2.feedbackEnabled,
          promptEnabled = _ref2.promptEnabled,
          spellCheckEnabled = _ref2.spellCheckEnabled,
          teacherInstructionsEnabled = _ref2.teacherInstructionsEnabled,
          toolbarEditorPosition = _ref2.toolbarEditorPosition;

      var promptError = errors.prompt,
          teacherInstructionsError = errors.teacherInstructions;
      var defaultImageMaxWidth = maxImageWidth && maxImageWidth.prompt;
      var defaultImageMaxHeight = maxImageHeight && maxImageHeight.prompt;
      var toolbarOpts = {
        position: toolbarEditorPosition === 'top' ? 'top' : 'bottom'
      };
      var panelSettings = {
        mathInput: mathInput.settings && toggle(mathInput.label),
        equationEditor: equationEditor.enabled && model.mathInput && dropdown(equationEditor.label, ['non-negative-integers', 'integers', 'decimals', 'fractions', 'Grade 1 - 2', 'Grade 3 - 5', 'Grade 6 - 7', 'Grade 8 - HS', 'geometry', 'advanced-algebra', 'statistics', 'item-authoring']),
        spanishInput: spanishInput.settings && toggle(spanishInput.label),
        specialInput: specialInput.settings && toggle(specialInput.label),
        dimensions: dimensions.settings && numberFields(dimensions.label, {
          width: {
            label: 'Width (px)',
            suffix: 'px',
            min: 100,
            max: 1200
          },
          height: {
            label: 'Height (px)',
            suffix: 'px',
            min: 100,
            max: 500
          }
        }),
        'multiple.enabled': multiple.settings && toggle(multiple.label, true),
        promptEnabled: prompt.settings && toggle(prompt.label),
        feedbackEnabled: feedback.settings && toggle(feedback.label),
        annotationsEnabled: annotations.settings && toggle(annotations.label),
        spellCheckEnabled: spellCheck.settings && toggle(spellCheck.label),
        playerSpellCheckDisabled: playerSpellCheck.settings && toggle(playerSpellCheck.label)
      };
      var panelProperties = {
        teacherInstructionsEnabled: teacherInstructions.settings && toggle(teacherInstructions.label),
        studentInstructionsEnabled: studentInstructions.settings && toggle(studentInstructions.label),
        rubricEnabled: (withRubric === null || withRubric === void 0 ? void 0 : withRubric.settings) && toggle(withRubric === null || withRubric === void 0 ? void 0 : withRubric.label)
      };

      var getPluginProps = function getPluginProps(props) {
        return Object.assign(_objectSpread({}, baseInputConfiguration), props || {});
      };

      return /*#__PURE__*/_react["default"].createElement(_configUi.layout.ConfigLayout, {
        extraCSSRules: extraCSSRules,
        dimensions: contentDimensions,
        hideSettings: settingsPanelDisabled,
        settings: /*#__PURE__*/_react["default"].createElement(Panel, {
          model: model,
          configuration: configuration,
          onChangeModel: function onChangeModel(model) {
            return onModelChanged(model);
          },
          onChangeConfiguration: function onChangeConfiguration(config) {
            return onConfigurationChanged(config);
          },
          groups: {
            Settings: panelSettings,
            Properties: panelProperties
          }
        })
      }, teacherInstructionsEnabled && /*#__PURE__*/_react["default"].createElement(_configUi.InputContainer, {
        label: teacherInstructions.label,
        className: classes.promptContainer
      }, /*#__PURE__*/_react["default"].createElement(_editableHtml.EditableHtml, {
        className: classes.prompt,
        markup: model.teacherInstructions || '',
        onChange: this.changeTeacherInstructions,
        imageSupport: imageSupport,
        nonEmpty: false,
        error: teacherInstructionsError,
        toolbarOpts: toolbarOpts,
        spellCheck: spellCheckEnabled,
        maxImageWidth: maxImageWidth && maxImageWidth.teacherInstructions || defaultImageMaxWidth,
        maxImageHeight: maxImageHeight && maxImageHeight.teacherInstructions || defaultImageMaxHeight,
        uploadSoundSupport: uploadSoundSupport,
        languageCharactersProps: [{
          language: 'spanish'
        }, {
          language: 'special'
        }],
        mathMlOptions: mathMlOptions,
        pluginProps: getPluginProps(teacherInstructions === null || teacherInstructions === void 0 ? void 0 : teacherInstructions.inputConfiguration)
      }), teacherInstructionsError && /*#__PURE__*/_react["default"].createElement("div", {
        className: classes.errorText
      }, teacherInstructionsError)), promptEnabled && /*#__PURE__*/_react["default"].createElement(_configUi.InputContainer, {
        label: prompt.label,
        className: classes.promptContainer
      }, /*#__PURE__*/_react["default"].createElement(_editableHtml.EditableHtml, {
        activePlugins: _editableHtml.ALL_PLUGINS,
        className: classes.prompt,
        markup: model.prompt || '',
        onChange: this.onPromptChange,
        imageSupport: imageSupport,
        nonEmpty: false,
        error: promptError,
        toolbarOpts: toolbarOpts,
        spellCheck: spellCheckEnabled,
        maxImageWidth: defaultImageMaxWidth,
        maxImageHeight: defaultImageMaxHeight,
        uploadSoundSupport: uploadSoundSupport,
        languageCharactersProps: [{
          language: 'spanish'
        }, {
          language: 'special'
        }],
        mathMlOptions: mathMlOptions,
        pluginProps: getPluginProps(prompt === null || prompt === void 0 ? void 0 : prompt.inputConfiguration)
      }), promptError && /*#__PURE__*/_react["default"].createElement("div", {
        className: classes.errorText
      }, promptError)), feedbackEnabled && /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_Typography["default"], {
        className: classes.header,
        variant: "subheading"
      }, "Feedback"), /*#__PURE__*/_react["default"].createElement(_configUi.FeedbackSelector, {
        label: "When submitted, show",
        feedback: model.feedback || defaultFeedback,
        onChange: this.changeFeedback,
        toolbarOpts: toolbarOpts
      })));
    }
  }]);
  return Main;
}(_react["default"].Component);

exports.Main = Main;
(0, _defineProperty2["default"])(Main, "propTypes", {
  onModelChanged: _propTypes["default"].func.isRequired,
  onConfigurationChanged: _propTypes["default"].func,
  model: _propTypes["default"].object.isRequired,
  configuration: _propTypes["default"].object.isRequired,
  imageSupport: _propTypes["default"].object.isRequired,
  uploadSoundSupport: _propTypes["default"].object.isRequired,
  classes: _propTypes["default"].object.isRequired
});

var _default = (0, _styles.withStyles)(function (theme) {
  return {
    header: {
      paddingBottom: theme.spacing.unit
    },
    promptContainer: {
      paddingTop: theme.spacing.unit * 2,
      marginBottom: theme.spacing.unit * 2,
      width: '100%'
    },
    errorText: {
      fontSize: theme.typography.fontSize - 2,
      color: theme.palette.error.main,
      paddingTop: theme.spacing.unit
    }
  };
})(Main);

exports["default"] = _default;
//# sourceMappingURL=main.js.map